function out=farzad(m)
global F 
global etta
global landa
global error_file
p=m(1)*10;
etta=m(2);
landa=m(2);
sim('dc');
k=size(error_speed);
test_set=k(1);
for ii=k(1):-1:1
    if (abs(error_speed(ii))<0.01)
        test_set=ii;
    end 
end
if (test_set==k(1))
    test_set=100000000;
end
out=abs(min(min(error_speed),0))/ref+3*test_set/k(1);
disp([p i out]);
